package com.ssm.manage.service;

import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.CardChangeInProject;
import com.ssm.manage.entity.CardChangeList;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.query.CardChangeInProjectRequest;
import com.ssm.manage.query.CardChangeListRequest;
import com.ssm.manage.response.CardChangeInProjectResponse;

import java.util.List;

public interface SsmCardChangeInProjectService extends BaseService<CardChangeInProject> {
    List<CardChangeInProjectResponse> selectList(CardChangeListRequest cardChangeListRequest);
    CardChangeInProject insert(CardChangeList cardChangeList, CardChangeInProjectRequest cardChangeInProjectRequest) throws SmsException;
    CardChangeInProject insertNew(CardChangeList cardChangeList, CardChangeInProjectRequest cardChangeInProjectRequest) throws SmsException;
    CardChangeInProject audit(CardChangeList cardChangeList, CardChangeInProject cardChangeInProjectRequest) throws SmsException;
    int updateStaff(CardChangeInProjectRequest cardChangeInProjectRequest) throws SmsException;
    int cancel(CardChangeList cardChangeList) throws SmsException;
    CardChangeInProject insertNT(CardChangeList cardChangeList, CardChangeInProjectRequest cardChangeInProjectRequest) throws SmsException;
    int audit(CardChangeList cardChangeList) throws SmsException;
    int unAudit(CardChangeList cardChangeList) throws SmsException;
    List<CardChangeInProject> selectListCard(Long storeId,String dateStr) throws SmsException;

    List<CardChangeInProject> selectListNew(CardChangeListRequest cardChangeListRequest);
}
